# annotate.h File Reference

`#include "magick/draw.h"`

Go to the source code of this file.

## Functions

MagickExport long | FormatMagickCaption (Image *, DrawInfo *, char *, TypeMetric *)
MagickExport MagickBooleanType | AnnotateImage (Image *, const DrawInfo *)
MagickExport MagickBooleanType | GetMultilineTypeMetrics (Image *, const DrawInfo *, TypeMetric *)
MagickExport MagickBooleanType | GetTypeMetrics (Image *, const DrawInfo *, TypeMetric *)

## Function Documentation

MagickExport MagickBooleanType AnnotateImage | ( | Image * | ,
|  | const DrawInfo * |  |
| ) |  |  |

MagickExport long FormatMagickCaption | ( | Image * | ,
|  | DrawInfo * | ,
|  | char * | ,
|  | TypeMetric * |  |
| ) |  |  |

MagickExport MagickBooleanType GetMultilineTypeMetrics | ( | Image * | ,
|  | const DrawInfo * | ,
|  | TypeMetric * |  |
| ) |  |  |

MagickExport MagickBooleanType GetTypeMetrics | ( | Image * | ,
|  | const DrawInfo * | ,
|  | TypeMetric * |  |
| ) |  |  |